@font-face {
  font-family: "MuseoSansCyrl";
  src: url("../fonts/MuseoSansCyrl/MuseoSansCyrl-100.eot") format("otf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-100.woff") format("woff"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-100.ttf") format("ttf");
  font-weight: 100;
}

@font-face {
  font-family: "MuseoSansCyrl";
  src: url("../fonts/MuseoSansCyrl/MuseoSansCyrl-300.eot") format("otf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-300.ttf") format("ttf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-300.woff") format("woff");
  font-weight: 300;
}

@font-face {
  font-family: "MuseoSansCyrl";
  src: url("../fonts/MuseoSansCyrl/MuseoSansCyrl-500.eot") format("otf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-500.ttf") format("ttf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-500.woff") format("woff");
  font-weight: 500;
}

@font-face {
  font-family: "MuseoSansCyrl";
  src: url("../fonts/MuseoSansCyrl/MuseoSansCyrl-700.eot") format("otf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-700.ttf") format("ttf"),
  url("../fonts/MuseoSansCyrl/MuseoSansCyrl-700.woff") format("woff");
  font-weight: 700;
}

@font-face {
  font-family: "BebasNeueRegular";
  src: url("../fonts/BebasNeueRegular/bebasneuebold.ttf") format("ttf"),
  url("../fonts/BebasNeueRegular/bebasneuebold.woff") format("woff");
  font-weight: 700;
}

@import "header";
@import "positionLine";
@import "contactblock";
@import "partnersCard";
@import "menu";
@import "footer";

.mainPageWrap {
  text-align: left !important;
  overflow: hidden;
  .firstBlockWrap {
    .firstBlockImg {
      width: 100%;
      display: flex;
      position: absolute;
      z-index: 0;
    }
    .textFirstBlock {
      position: relative;
      padding: 188px 0 0 89px;
      background-repeat: no-repeat;
      background-image: url("../images/MainPage/firstBlock.png");
      background-size: 102%;
      height: 970px;
      .title {
        font-family: BebasNeueRegular, serif;
        font-weight: 700;
        font-size: 90px;
        line-height: 90px;
        color: white;
        z-index: 10;
      }
      .secondTitle {
        font-size: 50px;
        line-height: 60px;
        color: white;
        font-family: MuseoSansCyrl, serif;
        font-weight: 700;
        .secondTitleHighLight {
          color: #FF3754;
        }
      }
      .prizesList {
        margin-top: 61px;
      }
      .prizesButton {
        display: inline-block;
        background-color: #FF3754;
        width: 412px;
        padding: 22px 0px;
        align-items: center;
        border-radius: 4px;
        margin-top: 30px;
        margin-bottom: 84px;
        transition: all 0.3s ease;
        cursor: pointer;
        text-align: center;
        .prizesButtonText {
          font-size: 19px;
          line-height: 23px;
          font-family: MuseoSansCyrl, serif;
          font-weight: 500;
          color: white;
          letter-spacing: 0.155em;
        }
      }
      .prizesButton:hover {
        box-shadow: 7px 7px 5px 0px rgba(50, 50, 50, 0.75);
      }
    }
  }
  .secondBlockWrap {
    padding: 88px;
    .secondBlockName {
      text-align: center;
      font-size: 70px;
      line-height: 70px;
      color: #FF3754;
      font-family: BebasNeueRegular, serif;
      font-weight: 700;
    }
    .secondBlockContent {
      display: flex;
      margin-top: 60px;

      .leftBrace {
        position: relative;
        z-index: 50;
      }
      .rightBrace {
        position: relative;
        z-index: 50;
      }
      .braceBlock {
        background-color: white;
      }
      .swiper-wrapper {
        position: relative;
        width: 85vw;
        height: 100%;
        z-index: 1;
        display: flex;
        transition-property: transform;
        box-sizing: content-box;
        overflow: no-content;
        .swiper-slide {
          min-width: 85vw;
          position: relative;
        }
      }
    }
    .secondBlockArrows {
      display: flex;
      justify-content: center;
      align-items: center;
      .pagesBlock {
        margin: 0px 50px;
        font-size: 24px;
        line-height: 29px;
        font-family: MuseoSansCyrl, serif;
        font-weight: 700;
      }
      .arrowPage:hover {
        fill: #FF3754;
        cursor: pointer;
      }
    }
  }
  .thirdBlockWrap {
    padding: 69px 72px;
    background: linear-gradient(180deg, #FDF4F4 0%, #ECF3EC 100%);
    .thirdBlockName {
      text-align: center;
      font-size: 70px;
      line-height: 70px;
      color: #FF3754;
      font-family: BebasNeueRegular, serif;
      font-weight: 700;
    }

    .yearsCollection {
      margin-top: 26px;
      display: none;
    }
    .yearBlock {
      display: flex;
      background: #FFFFFF;
      border: 1px solid #888888;
      margin: 0 5px;
      box-sizing: border-box;
      border-radius: 4px;
      font-size: 13px;
      line-height: 16px;
      letter-spacing: 0.155em;
      text-transform: uppercase;
      color: #888888;
      height: 40px;
      font-family: MuseoSansCyrl, serif;
      font-weight: 700;
      align-items: center;
      justify-content: center;
    }
    .generalYear {
      color: #FFFFFF;
      background: #FF3754;

    }
    .thirdBlockContent {
      .partnersRow {
        margin-top: 61px;
      }
    }
  }
}

.menuHeaderIcon {
  transition: all 0.3s ease;
}

@media only screen and (max-width: 1600px) {
  .mainPageWrap .firstBlockWrap .textFirstBlock {
    background-size: 130%;
  }
}

@media only screen and (max-width: 1400px) {
  .leftBrace {
    display: none;
  }
  .rightBrace {
    display: none;
  }
  .contactName {
    text-align: center;
  }
  .contactSurname {
    text-align: center;
  }
  .contactAdditionInfo {
    text-align: center;
  }
  .contactBlock {
    align-items: center;
    flex-direction: column-reverse;
    .contactImage {
      width: 128px;
      height: 128px;
    }
    .contactInfo {
      margin-right: 0;
    }
  }

  .mainPageWrap .firstBlockWrap .textFirstBlock {
    background-size: 150%;
  }
}

@media only screen and (max-width: 400px) {
  .mainPageWrap {
    .firstBlockWrap {
      .textFirstBlock {
        background-size: 190%;
        padding: 157px 10px 0 10px;
        height: auto;
        .title {
          font-size: 50px;
          line-height: 50px;
        }
        .secondTitle {
          font-size: 20px;
          line-height: 24px;
          margin-top: 7px;
        }
        .prizesButtonAndListMobile {
          display: flex;
          flex-direction: column-reverse;
        }
        .prizesButton {
          width: 100%;
          margin-bottom: 10px;
          .prizesButtonText {
            font-size: 16px;
            line-height: 19px;
          }
        }
        .prizesList {
          margin-top: 14px;
          .positionLine {
            .prizeBlock {
              max-width: 47px;
              min-width: 47px;
              max-height: 47px;
              .prize {
                max-height: 47px;
                max-width: 47px;
              }
            }
            .prizeCountry {
              max-width: 14px;
              max-height: 14px;
            }
          }
        }
      }
    }
    .secondBlockWrap {
      padding: 63px 10px;
      .secondBlockName {
        font-size: 40px;
        line-height: 40px;
      }
    }
    .thirdBlockWrap {
      padding: 42px 10px;
    }
  }
  .contactBlock {
    padding: 0;
  }
  .mainLogoIcon {
    width: 102px;
    height: 27px;
  }
  .yearsCollection {
    display: block !important;
    margin: 0 10px;
  }
}